Firefox 52 - comment continuer à utiliser les plugins

Publié le par Wullfk

Utilisation des plugins sur Firefox 52.0

Utilisation des plugins sur Firefox 52.0

Bonjour,

Traduction et adaptation source (EN) : ghacks.net - firefox 52 how to keep on plugins

Firefox 52.0 sera la première version du navigateur web Mozilla Firefox qui sera livré sans prise en charge des plugins NPAPI.
 
La seule exception à cette règle est que Firefox 52.0 prendra en charge Adobe Flash Player. Tous les autres plugins, Silverlight, Java, etc..., ne seront plus pris en charge dans cette version 52.0 de Firefox.
 
Alors que l'utilisation des plugins est à la baisse, des scénarios existent où les plugins sont encore nécessaires pour utiliser des sites ou des services sur Internet.
 
Firefox est le dernier navigateur majeur pour le bureau qui met fin à la prise en charge des plugins. Google a supprimé le support des plug-ins NPAPI dans Chrome 45, qui a été publié le 1er septembre 2015.
 
Mozilla a annoncé la fin du support pour les plugins NPAPI en 2015 pour la fin de 2016, mais a reporté la date limite à Firefox 52.0

Firefox 52 : comment continuer à utiliser les plugins

Les utilisateurs de Firefox qui ont besoin de ces plugins peuvent déjà mettre en place un plan pour s'assurer qu'ils peuvent toujours accéder aux sites et aux services qui nécessitent des plugins après la version Firefox 52.0

Certains utilisateurs de Firefox peuvent être enclins à bloquer les mises à jour de Firefox 51.x pour éviter la mise à niveau vers Firefox 52.0 ou version ultérieure. Ce n'est pas vraiment conseillé, car cela signifie que les mises à jour de sécurité ne seront plus disponibles pour cette version de Firefox. Le risque d'attaques réussies peuvent augmenter proportionnellement à cause de cela.
 
Si vous voulez conserver Firefox, le meilleur moyen d'action actuellement est de passer de Firefox Stable à Firefox ESR avant la mise à jour vers Firefox 52.0
 
Firefox 52.0 ESR sera lancé avec Firefox 52.0. C'est une bonne nouvelle pour tous ceux qui ont besoin de plugins, car Firefox 52.0 ESR continuera à prendre en charge les plugins alors que Firefox 52.0 ne le sera pas.
 
Un cycle complet de version de support étendu dure sept sorties complètes. Cela signifie que vous pourrez utiliser des plugins dans Firefox ESR jusqu'en mars 2018.
 
Une autre option possible c'est d'installer une version Firefox ESR à côté de Firefox Stable, et de l'utiliser exclusivement pour les sites et les services qui nécessitent des plugins.
 

Comment passer du canal de mise à jour de Firefox Stable à Firefox ESR.


Étape 1: Mettre à jour channel-prefs.js

La première chose à faire est de mettre à jour le fichier channel-prefs.js. Vous trouvez le fichier dans le répertoire d'installation de Firefox sur votre système.
 
Les répertoires d'installation par défaut :

  • Firefox 32 bits Windows >> C:\Program Files (x86)\Mozilla Firefox\
  • Firefox 64-bit Windows >> C:\Programmes\Mozilla Firefox\
  • Linux >> /usr/lib/version firefox
  • Mac OS X >> /Applications/Firefox.app 

Vous trouverez le fichier sous defaults\prefs\ , par exemple C:\Program Files (x86)\Mozilla Firefox\defaults\prefs\channel-prefs.js
 
Ouvrez le fichier dans un éditeur de texte et remplacez la ligne:

Pref ("app.update.channel", "release");

par

Pref ("app.update.channel", "esr");

Étape 2: Modifier update-settings.ini

Le deuxième fichier que vous devez modifier est update-settings.ini. Il se trouve dans le dossier racine de l'installation de Firefox, par exemple C:\Program Files (x86)\Mozilla Firefox.
 
Changer la ligne  :

ACCEPTED_MAR_CHANNEL_IDS = firefox-mozilla-release

par

ACCEPTED_MAR_CHANNEL_IDS = firefox-mozilla-esr

Et enregistrez le fichier.
 
Une autre option c'est d'installer Firefox ESR directement sur votre système, et de commencer à l'utiliser. La nouvelle installation reprendra le profil que vous avez utilisé jusqu'ici.
 
Notez cependant que si vous utilisez Firefox 45.x ESR celui ci peut ne pas prendre encore en charge certaines fonctionnalités que Mozilla a implémentées dans Firefox 46 à 51. Certaines extensions ou fonctionnalités peuvent ne pas être disponibles en raison de la version ESR.

Publié dans Navigateur

Commenter cet article

Washington (gratilog) 11/03/2017 14:53

Merci des informations Wullfk, c'est très intéressant.

Comme Cyberfox devrait être chose du passé dans un avenir rapprché, en remplacement de Cyberfox comme 2ème navigateur (Firefox étant mon principal navigateur), Firefox ESR pourrait être une solution.